BasicOptionPaneUI.ButtonAreaLayout (Java SE 10 & JDK 10 )
Keywords: javax.swing.plaf.basic.BasicOptionPaneUI.ButtonAreaLayout class

Module java.desktop
Package javax.swing.plaf.basic

## Class BasicOptionPaneUI.ButtonAreaLayout

- java.lang.Object
- - javax.swing.plaf.basic.BasicOptionPaneUI.ButtonAreaLayout

- All Implemented Interfaces:
    `LayoutManager`
  Enclosing class:
    BasicOptionPaneUI

      public static class BasicOptionPaneUI.ButtonAreaLayout
      extends Object
      implements LayoutManager

  `ButtonAreaLayout` behaves in a similar manner to `FlowLayout`. It lays out all components from left to right. If `syncAllWidths` is true, the widths of each component will be set to the largest preferred size width. This class should be treated as a "protected" inner class. Instantiate it only within subclasses of `BasicOptionPaneUI`.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `centersChildren` | If true, children are lumped together in parent.
    `protected int` | `padding` | The padding value.
    `protected boolean` | `syncAllWidths` | The value represents if the width of children should be synchronized.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ButtonAreaLayout​(boolean syncAllWidths, int padding)` | Constructs a new instance of `ButtonAreaLayout`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `getCentersChildren()` | Returns whether or not center children should be used.
    `int` | `getPadding()` | Returns the padding.
    `boolean` | `getSyncAllWidths()` | Returns if the width of children should be synchronized.
    `void` | `setCentersChildren​(boolean newValue)` | Sets whether or not center children should be used.
    `void` | `setPadding​(int newPadding)` | Sets the padding value.
    `void` | `setSyncAllWidths​(boolean newValue)` | Sets if the width of children should be synchronized.

    - ### Methods declared in interface java.awt.LayoutManager

      `addLayoutComponent, layoutContainer, minimumLayoutSize, preferredLayoutSize, removeLayoutComponent`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### syncAllWidths

          protected boolean syncAllWidths

      The value represents if the width of children should be synchronized.

    - #### padding

          protected int padding

      The padding value.

    - #### centersChildren

          protected boolean centersChildren

      If true, children are lumped together in parent.

  - ### Constructor Detail

    - #### ButtonAreaLayout

          public ButtonAreaLayout​(boolean syncAllWidths,
                                  int padding)

      Constructs a new instance of `ButtonAreaLayout`.
      Parameters:
        `syncAllWidths` - if the width of children should be synchronized
        `padding` - the padding value

  - ### Method Detail

    - #### setSyncAllWidths

          public void setSyncAllWidths​(boolean newValue)

      Sets if the width of children should be synchronized.
      Parameters:
        `newValue` - if the width of children should be synchronized

    - #### getSyncAllWidths

          public boolean getSyncAllWidths()

      Returns if the width of children should be synchronized.
      Returns:
        if the width of children should be synchronized

    - #### setPadding

          public void setPadding​(int newPadding)

      Sets the padding value.
      Parameters:
        `newPadding` - the new padding

    - #### getPadding

          public int getPadding()

      Returns the padding.
      Returns:
        the padding

    - #### setCentersChildren

          public void setCentersChildren​(boolean newValue)

      Sets whether or not center children should be used.
      Parameters:
        `newValue` - a new value

    - #### getCentersChildren

          public boolean getCentersChildren()

      Returns whether or not center children should be used.
      Returns:
        whether or not center children should be used